Bug 457334 - 1.5.1-2 fails to build on CentOS 5 due to change in Perl packaging
1.5.1-2 fails to build on CentOS 5 due to change in Perl packaging
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 19:50 EDT by Kenneth Porter
Modified: 2008-08-05 03:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-05 03:37:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenneth Porter 2008-07-30 19:50:44 EDT
CentOS 5.2, based on RHEL, doesn't split out a separate perl-devel package, and
the current spec for subversion has a BuildRequires for perl-devel. The
following change to the spec file is suggested (based on a suggestion on
centos-devel):

%if 0%{?fedora} > 6
BuildRequires: perl-devel >= 2:5.8.0
%else
BuildRequires: perl >= 2:5.8.0
%endif
BuildRequires: perl(ExtUtils::MakeMaker)
Comment 1 Joe Orton 2008-08-04 16:05:31 EDT
Raw Hide spec files are not designed to be built on any distro other than Raw Hide; you need to fork the spec and keep distro-specific hacks in the fork.
Comment 2 Jeroen van Meeuwen 2008-08-04 17:44:36 EDT
Joe, if you're not supporting this little tiny spec file change to be applied to rawhide, can I?
Comment 3 Jeroen van Meeuwen 2008-08-04 17:52:02 EDT
pkgdb acl requests added for F-8, F-9 and DEVEL branches
Comment 4 Joe Orton 2008-08-05 03:37:44 EDT
No, what about when the next guy comes along and says he wants the Raw Hide spec file to be portable to RHL8?  RHEL 2.1?  SuSE?  Mandrake?  Where would it stop?

Note You need to log in before you can comment on or make changes to this bug.